More in this section

Forums / General Discussions / Error when upgrading to 4.1

Error when upgrading to 4.1

11 posts, 0 answered
  1. Kristian
    Kristian avatar
    214 posts
    Registered:
    03 Jun 2010
    19 Apr 2011
    Link to this post
    Server Error in '/' Application.
    Parser Error
    Description: An error occurred during the parsing of a resource required to service this request. Please review the following specific parse error details and modify your source file appropriately.


    Parser Error Message: '6A86B6BE000' is not a valid identifier.


    Source Error:


    Line 31:  <CollapseAnimation Duration="450" Type="None"   runat="server" >
    Line 32:  </CollapseAnimation > <ExpandAnimation Type="None" Duration="450"   runat="server" >
    Line 33:  </ExpandAnimation ></sf:MainMenu><sf:Header ID="6A86B6BE000"  runat="server">
    Line 34: </sf:Header></sf:SitefinityPlaceHolder>
    Line 35: 



    Source File: /SFPageService/f669d9a7-009d-4d83-aaaa-000000000001_Default.aspx    Line: 33


    Version Information: Microsoft .NET Framework Version:4.0.30319; ASP.NET Version:4.0.30319.1 
  2. Victor Velev
    Victor Velev avatar
    1345 posts
    Registered:
    06 Jul 2015
    19 Apr 2011
    Link to this post
    Hello Kristian,

    Can you give me more information about the error - when does it come up? Do you have any customized controls, modules? The error is probably coming from a custom masterpage or other content.

    Regards,
    Victor Velev
    the Telerik team

  3. Kristian
    Kristian avatar
    214 posts
    Registered:
    03 Jun 2010
    19 Apr 2011
    Link to this post
    This happens when trying to get into the /sitefinity page to login.
  4. Victor Velev
    Victor Velev avatar
    1345 posts
    Registered:
    06 Jul 2015
    21 Apr 2011
    Link to this post
    Hello Kristian,

    Do you have any custom .master pages templates ( used either in the frontend or backend) in your project or other types of custom content?

    Kind regards,
    Victor Velev
    the Telerik team

  5. Kristian
    Kristian avatar
    214 posts
    Registered:
    03 Jun 2010
    21 Apr 2011
    Link to this post
    I tried rolling back and doing the upgrade again and it worked thanks!
  6. Kristian
    Kristian avatar
    214 posts
    Registered:
    03 Jun 2010
    25 Apr 2011
    Link to this post
    Ok I tried doing this to another project, same thing happened, I do have some custom master pages used for the frontend.


    So I try rebuild the solution in VS, and run it again.

    Then I get 'Unable to load one or more of the requested types. 'Retrieve the LoaderExpections property for more information.

    Ok, so then i try copying everything back from _EmptyProject folder and then i get the first error again.
  7. Victor Velev
    Victor Velev avatar
    1345 posts
    Registered:
    06 Jul 2015
    26 Apr 2011
    Link to this post
    Hi Kristian,

    Can you remove the custom master pages from your project ( and also associate the pages with the built-in templates ) before upgrading to 4.1 to check if the process goes smoothly?  Also please check the following article which might be helpful regarding the second error you get.

    Best wishes,
    Victor Velev
    the Telerik team

  8. Kristian
    Kristian avatar
    214 posts
    Registered:
    03 Jun 2010
    26 Apr 2011
    Link to this post
    Ok, we have some 100+ pages, how is there a quick way to change them to the built in templates? Right now it looks like you have to check every pages... :( Also, there are a few custom templates, so when I want to switch them back is there an easy way to reapply them?
  9. Victor Velev
    Victor Velev avatar
    1345 posts
    Registered:
    06 Jul 2015
    27 Apr 2011
    Link to this post
    Hi Kristian,

    You can do that by selecting all your pages and click on Actions -> Template and select which template you want to have applied. See attached media for more details.

    Greetings,
    Victor Velev
    the Telerik team

  10. Ann
    Ann avatar
    7 posts
    Registered:
    21 Dec 2010
    12 Aug 2011
    Link to this post
    Just now getting to the 4.1 upgrade and running into this error (Parser Error Message: '68D1AF21001' is not a valid identifier.)
    Can I skip over this version (4.1.1339) or is there a better way to get past this problem besides changing all of the page templates?

    Matt

  11. Victor Velev
    Victor Velev avatar
    1345 posts
    Registered:
    06 Jul 2015
    15 Aug 2011
    Link to this post
    Hello Matt,

    It seems that the upgrade process has broken the backend templates of the website and the menu ID's have been mixed. Can you to login by going to /Sitefinity/Pages for example. From there go to Administration -> Backend pages and edit the dashboard page. Try editing the backend template  by going to /Sitefinity/Template/f669d9a7-009d-4d83-cccc-000000000001 then edit the ID's of the header and the footer controls.

    If you wonder what ID's can be work for you, just create a new project navigate to the above mentioned address and take the IDs.

    However the best option to upgrade ( if you use 4.0 ) is through 4.1 then 4.2, because there are many changes throughout the versions which depend on each other, therefore skipping a version might lead to other issues in future.

    Kind regards,
    Victor Velev
    the Telerik team
    Do you want to have your say in the Sitefinity development roadmap? Do you want to know when a feature you requested is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items
11 posts, 0 answered